Retrieve the log for a Task
GET
https://api.neuroscale.io/v2.0/tasks/{task-id}/log
Path parameters¶
| Name | Type | Description |
|---|---|---|
task-id |
String | Unique identifier of the Task. |
The log for a Task contains the output of its most recent Execution. In the case of a Task failure, the log can often be inspected for error messages and other signs of incorrect operation (including, but not limited to, issues downloading and/or uploading files).
Authentication¶
Type: Access token
Required scopes: task or read:task
Responses¶
Example response — 200¶
Creating NeuroPype flow graph and loading patch...
Done (graph has 3 nodes)!
Creating NeuroPype scheduler and executing a single pass...
Downloading file input.set from Azure...
Importing SET file /tmp/tmprx4ni4re...
Imported file input.set.
Packet({'eeg': Chunk(Block(data=[[ 8.55389771e+02 8.60324707e+02 8.60324707e+02 ..., 8.61969727e+02
8.63614685e+02 8.68549622e+02]
[ 8.24135132e+02 8.27425110e+02 8.25780151e+02 ..., 8.70194580e+02
8.70194580e+02 8.65259644e+02]
[ 8.20845215e+02 8.20845215e+02 8.22490173e+02 ..., 8.57034729e+02
8.52099792e+02 8.53744812e+02]
[ 8.45519897e+02 8.43874939e+02 8.37294983e+02 ..., 8.25780151e+02
8.27425110e+02 8.24135132e+02]
[ 2.51572086e-38 2.51572086e-38 2.51572086e-38 ..., 2.51572086e-38
2.51572086e-38 2.51572086e-38]
[ 2.92110630e+26 2.92110630e+26 2.92110630e+26 ..., 2.92110630e+26
2.92110630e+26 2.92110630e+26]], axes=(SpaceAxis(names=['TP9' 'Fp1' 'Fp2' 'TP10' 'n/a' 'n/a'], naming_system=10-20, positions=[[-0.0274 0.0824 -0.0495]
[ 0.0949 0.0307 -0.0047]
[ 0.0949 -0.0307 -0.0047]
[-0.0274 -0.0824 -0.0495]
[ nan nan nan]
[ nan nan nan]], coordinate_system=+X), TimeAxis(times=[ 187.73903209 187.74357755 187.748123 ..., 311.21630482 311.22085027
311.22539573], nominal_rate=220.0))),
defaultdict(<function recursive_dict at 0x7ffa40be88c8>, {'modality': 'EEG', 'is_signal': True, 'source_url': 'file://input.set', 'is_streaming': False}))})
Exporting SET file output.set...done.
Uploading file /tmp/tmpxqo4qmmz to Azure...
Done (all finished)!